## python-adal 0.4.1

=== debian/changelog ===
python-adal (0.4.1-2) unstable; urgency=medium

  * debian/control:
   - Changed binary architecture to all.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 27 Sep 2016 14:37:46 +0100

python-adal (0.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #838716)

 -- Iain R. Learmonth <irl@debian.org>  Fri, 23 Sep 2016 22:51:43 +0100

## python-adal 1.2.1

=== requirements.txt ===
requests==2.20.0
PyJWT==1.0.0
#need 2.x for Python3 support
python-dateutil==2.1.0
#1.1.0 is the first that can be installed on windows
cryptography==2.3.0
#for testing
httpretty==0.8.14
pylint==1.5.4

## python-adal 0.4.4

=== debian/changelog ===
python-adal (0.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 24 Jan 2017 15:27:19 +0000

=== debian/control ===
Source: python-adal
Section: python
Priority: optional
Maintainer: Debian Azure Packaging Team <pkg-azure-team@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools,
               python-jwt (>= 1.0.0),
               python-requests (>= 2.0.0),
               python-dateutil (>= 2.1.0),
               python-cryptography (>= 1.1.0),
               python3-jwt (>= 1.0.0),
               python3-requests (>= 2.0.0),
               python3-dateutil (>= 2.1.0),
               python3-cryptography (>= 1.1.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/python-adal.git
Vcs-Git: https://anonscm.debian.org/git/pkg-azure/python-adal.git
Homepage: https://pypi.python.org/pypi/adal/

Package: python-adal
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Azure Active Directory Authentication Library for Python 2.x
 The ADAL for Python library makes it easy for Python applications to
 authenticate to AAD in order to access AAD protected web resources.
 .
 This package contains the Python 2.x module.

Package: python3-adal
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Azure Active Directory Authentication Library for Python 3.x
 The ADAL for Python library makes it easy for Python applications to
 authenticate to AAD in order to access AAD protected web resources.
 .
 This package contains the Python 3.x module.

## python-adal 0.4.6

=== debian/changelog ===
python-adal (0.4.6-1) unstable; urgency=medium

  * New upstream version 0.4.6
  * debian/control:
   - Update Standards-Version to 4.1.0

 -- Iain R. Learmonth <irl@debian.org>  Thu, 24 Aug 2017 12:23:01 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-requests (>= 2.0.0),
                python3-dateutil (>= 2.1.0),
                python3-cryptography (>= 1.1.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/python-adal.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-azure/python-adal.git
 Homepage: https://pypi.python.org/pypi/adal/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=adal

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/adal/adal-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-adal 1.2.0

=== debian/changelog ===
python-adal (1.2.0-1) unstable; urgency=medium

  * New upstream release
    - Drop patch for setup.py, fixed upstream
  * Adopt in the Debian Python Modules Team. Thanks irl for your past work!
    (Closes: #899764, #889082)
  * Enable tests at build-time
    - Add upstream patch for compatibility with recent HTTPretty
  * Set Rules-Requires-Root: no
  * Update Standards-Version to 4.2.1 (no changes)
  * Bump debhelper compat level up to 11
  * Add autopkgtests

 -- Nicolas Dandrimont <olasd@debian.org>  Wed, 07 Nov 2018 18:58:55 +0100

=== debian/control ===
Source: python-adal
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-cryptography (>= 1.1.0),
               python-dateutil (>= 2.1.0),
               python-httpretty (>= 0.9),
               python-jwt (>= 1.0.0),
               python-mock,
               python-requests (>= 2.0.0),
               python-setuptools,
               python3-all,
               python3-cryptography (>= 1.1.0),
               python3-dateutil (>= 2.1.0),
               python3-httpretty (>= 0.9),
               python3-jwt (>= 1.0.0),
               python3-mock,
               python3-requests (>= 2.0.0),
               python3-setuptools
Standards-Version: 4.2.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-adal
Vcs-Git: https://salsa.debian.org/python-team/modules/python-adal.git
Homepage: https://pypi.python.org/pypi/adal/

Package: python-adal
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Azure Active Directory Authentication Library for Python 2.x
 The ADAL for Python library makes it easy for Python applications to
 authenticate to AAD in order to access AAD protected web resources.
 .
 This package contains the Python 2.x module.

Package: python3-adal
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Azure Active Directory Authentication Library for Python 3.x
 The ADAL for Python library makes it easy for Python applications to
 authenticate to AAD in order to access AAD protected web resources.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	# HTTPretty fails if the http{s,}_proxy is set
+	http_proxy= https_proxy= dh_auto_test

## python-adal 1.2.1

=== debian/changelog ===
python-adal (1.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Rename d/tests/control.autodep8 to d/tests/control.

  [ Jonathan Carter ]
  * Team upload
  * New upstream release
  * Upgrade do debhelper-compat (= 12)
  * Update standards version to 4.3.0
  * Uploader's note:
    Leaving python2 version of package in tact for now due to
    reverse dependency: pyton-msrestazure

 -- Jonathan Carter <jcc@debian.org>  Tue, 26 Feb 2019 17:59:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python-all,
                python-cryptography (>= 1.1.0),
@@ -21,7 +21,7 @@
                python3-mock,
                python3-requests (>= 2.0.0),
                python3-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-adal

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,6 @@
 
 override_dh_auto_test:
 	# HTTPretty fails if the http{s,}_proxy is set
-	http_proxy= https_proxy= dh_auto_test
+	#http_proxy= https_proxy= dh_auto_test
+	# disabling tests, it appears to want a real internet connection
+	# TODO: tests that need a real internet connection should be patched out

=== debian/tests/control ===
Depends: python3-adal, python3-all, python3-pytest, python3-httpretty, python3-mock
Test-Command: cp -r tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -m pytest -v; done

Depends: python-adal, python-all, python-pytest, python-httpretty, python-mock
Test-Command: cp -r tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; for p in $(pyversions -s); do $p -m pytest -v; done

## python-adal 1.2.2

=== requirements.txt ===
requests==2.20.0
PyJWT==1.7.0
#need 2.x for Python3 support
python-dateutil==2.1.0
#1.1.0 is the first that can be installed on windows
cryptography==2.3.1
#for testing
httpretty==0.8.14
pylint==1.5.4

=== debian/changelog ===
python-adal (1.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.
  * Bump Standards-Version to 4.4.1.

  [ Nicolas Dandrimont ]
  * New upstream release
    - Refresh patches

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 19 Nov 2019 19:21:48 +0100

python-adal (1.2.1-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 24 Aug 2019 22:38:49 +0200

=== debian/control ===
Source: python-adal
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-cryptography (>= 1.1.0),
               python3-dateutil (>= 2.1.0),
               python3-httpretty (>= 0.9),
               python3-jwt (>= 1.0.0),
               python3-mock,
               python3-requests (>= 2.0.0),
               python3-setuptools
Standards-Version: 4.4.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-adal
Vcs-Git: https://salsa.debian.org/python-team/modules/python-adal.git
Homepage: https://pypi.python.org/pypi/adal/

Package: python3-adal
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Azure Active Directory Authentication Library for Python 3.x
 The ADAL for Python library makes it easy for Python applications to
 authenticate to AAD in order to access AAD protected web resources.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=adal
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	# HTTPretty fails if the http{s,}_proxy is set

=== debian/tests/control ===
Depends: python3-adal, python3-all, python3-pytest, python3-httpretty, python3-mock
Test-Command: cp -r tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -m pytest -v; done

## python-adal 1.2.7

=== requirements.txt ===
requests==2.20.0
PyJWT==1.7.0
#need 2.x for Python3 support
python-dateutil==2.1.0

#1.1.0 is the first that can be installed on windows
# Yet we decide to remove this from requirements.txt,
# because ADAL does not have a direct dependency on it.
#cryptography==3.2

#for testing
httpretty==0.8.14
pylint==1.5.4

=== debian/changelog ===
python-adal (1.2.7-5) unstable; urgency=medium

  * Team upload.
  * Add missing explicity build-dep on python3-six
  * Fix SyntaxWarning on install (Closes: #1068077)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 30 Sep 2024 01:33:40 +0200

python-adal (1.2.7-4) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Unset HTTP proxy for HTTPretty tests
  * autopkgtest: Set test name to "pytest"
  * debian/watch: Query api.github.com for new releases

 -- Benjamin Drung <bdrung@debian.org>  Tue, 21 May 2024 14:57:23 +0200

python-adal (1.2.7-3) unstable; urgency=medium

  * Team upload.
  * remove build dependency on python3-mock: it's hybridized
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Mar 2024 14:26:02 +0100

python-adal (1.2.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-cryptography,
      python3-dateutil, python3-httpretty, python3-jwt and python3-requests.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:32:48 +0100

python-adal (1.2.7-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Boyuan Yang ]
  * New upstream release 1.2.7.
  * Update standards version to 4.6.1, no changes needed.
  * debian/control:
    + Update package description to reflect that
      this package has been deprecated upstream.
    + Update homepage field to directly use GitHub upstream.

 -- Boyuan Yang <byang@debian.org>  Sat, 21 May 2022 15:09:02 -0400

=== debian/control ===
Source: python-adal
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-cryptography,
               python3-dateutil,
               python3-httpretty,
               python3-jwt,
               python3-requests,
               python3-setuptools,
               python3-six,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-adal
Vcs-Git: https://salsa.debian.org/python-team/packages/python-adal.git
Homepage: https://github.com/AzureAD/azure-activedirectory-library-for-python

Package: python3-adal
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Azure Active Directory Authentication Library for Python 3.x
 The ADAL for Python library makes it easy for Python applications to
 authenticate to AAD in order to access AAD protected web resources.
 .
 This library will no longer receive new feature improvements.
 Instead, users should consider using the new library MSAL for Python.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=adal
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 	# HTTPretty fails if the http{s,}_proxy is set

=== debian/tests/control ===
Depends: python3-adal, python3-all, python3-httpretty, python3-pytest, python3-six
Test-Command: cp -r tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do http_proxy= https_proxy= $p -m pytest -v; done
Features: test-name=pytest

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain,uversionmangle=s/(rc|a|b|c)/~$1/" \
    https://api.github.com/repos/AzureAD/azure-activedirectory-library-for-python/releases?per_page=100 \
    https://api.github.com/repos/AzureAD/azure-activedirectory-library-for-python/tarball/@ANY_VERSION@ debian uupdate
